Serveur minecraft

Minecraft "Erreur JNI" ou "Exception Java" après la mise à jour 1.17 ? Voici un correctif – Un bon serveur Minecraft

Le 13 janvier 2022 - 1 minute de lecture

[bzkshopping keyword= »Minecraft » count= »8″ template= »grid »]

De nouvelles mises à jour sont ajoutées au bas de cette histoire…….

L'histoire originale (publiée le 09 juin 2021) suit :

Les joueurs de Minecraft mettent enfin la main sur la dernière mise à jour 1.17 Caves and Cliffs: Part 1 qui apporte trois nouveaux mobs – des chèvres, des calmars brillants et des axolotls parmi de nombreux autres ajouts.

Bien sûr, c'est une mise à jour massive que les joueurs attendaient avec impatience depuis des semaines, et maintenant qu'elle est là, les joueurs du monde entier consultent la nouvelle mise à jour pour voir ce qu'elle a à offrir.

Malheureusement, il semble que la nouvelle mise à jour démarre mal. Certaines personnes qui ont installé Minecraft 1.17 signalent qu'elles reçoivent un message d'erreur indiquant « Une erreur JNI s'est produite, veuillez vérifier votre installation et réessayer » ou « Exception Java ».

Nous avons partagé quelques rapports d'utilisateurs mécontents ci-dessous pour référence :

minecraft-jni-error-report" width="320" height="474" class="size-full wp-image-182406" srcset="https://piunikaweb.com/wp-content/uploads/2021/06 /minecraft-jni-error-report.jpg 320w, https://piunikaweb.com/wp-content/uploads/2021/06/minecraft-jni-error-report-203x300.jpg 203w" tailles="(max-width : 320px) 100vw, 320px"/>
 
<figcaption class=(La source)

Lorsque j'essaie de jouer à 1.17-rc1 ou à des instantanés, cela donne 2 erreurs. Erreur 1 : une erreur JNI s'est produite, veuillez vérifier votre installation et réessayer. Erreur 2 : une exception Java s'est produite (Source)

Le fichier du serveur fonctionne-t-il encore ? Je reçois toujours le code d'erreur : Une erreur JNI s'est produite, veuillez vérifier votre installation et réessayer. (La source)

J'ai installé les fichiers du serveur Minecraft 1.17 mais ils me donnent une erreur JNI, c'est peut-être le lanceur ? (La source)

Selon les joueurs, ils ne sont pas en mesure d'installer et de jouer à Minecraft 1.17 car ils continuent à recevoir une erreur « Erreur JNI » ou « Exception Java ».

Les joueurs ont même confirmé que Java était installé sur leur ordinateur, mais l'erreur persiste.

Naturellement, cela a laissé de nombreux joueurs se démener pour trouver une solution. Si vous êtes l'un d'entre eux, eh bien, il n'y a aucune raison de s'inquiéter.

L'"erreur JNI" qui a commencé à apparaître avec la dernière mise à jour Minecraft 1.17 peut être corrigée en installant Java 16, comme le confirment de nombreux rapports de joueurs qui rencontraient le problème.

minecraft-jni-error-fix" width="320" height="357" class="size-full wp-image-182418" srcset="https://piunikaweb.com/wp-content/uploads/2021/06 /minecraft-jni-error-fix.jpg 320w, https://piunikaweb.com/wp-content/uploads/2021/06/minecraft-jni-error-fix-269x300.jpg 269w" tailles="(max-width : 320px) 100vw, 320px"/>
 
<figcaption class=(La source)

Minecraft 1.17 nécessite Java 16 ou une version ultérieure pour fonctionner, le jeu ne fonctionne donc pas sur les ordinateurs qui ne répondent pas aux exigences.

Cela dit, au cas où vous auriez besoin d'un guide vidéo pour vous aider à résoudre le problème, nous en avons partagé un ci-dessous.

Une fois que vous avez installé Java 16 sur votre ordinateur, vous devriez pouvoir jouer à la mise à jour Minecraft 1.17 sans vous soucier de rencontrer l'erreur JNI.

N'hésitez pas à laisser un commentaire pour nous faire savoir si cela a résolu ou non le problème pour vous.

Mise à jour 1 (10 juin)

En passant par la page de bogue "Une erreur JNI s'est produite, veuillez vérifier votre installation et réessayer" sur le support Mojang, voici quelque chose que vous devez savoir :

Cette erreur se produit lorsque vous lancez le client (le jeu) ou le serveur (le .jar) sans Java 16 en 21w19 et supérieur. Minecraft a été mis à jour pour utiliser Java 16 conformément au journal des modifications 21w19a :

Minecraft utilise désormais une version plus récente de Java. Si vous utilisez une configuration par défaut, le lanceur téléchargera et installera la version correcte. Si vous utilisez une configuration Java personnalisée ou un lanceur tiers, vous devrez vous assurer que votre installation Java est la version 16 ou supérieure.

Et voici comment vous pouvez résoudre le problème :

Pour résoudre ce problème, téléchargez AdoptOpenJDK et suivez les étapes ci-dessous pour le client ou le serveur.

Client : assurez-vous que votre lanceur exécute Java 16. Pour ce faire, modifiez le runtime de l'exécutable Java pour cibler « javaw.exe » dans C:Program FilesJavajdk-16.0.1binjavaw.exe ou où vous avez installé Java 16. Contactez les responsables de votre lanceur si vous ne pouvez pas passer ou ne savez pas comment passer à Java 16.

Serveur : si vous exécutez un serveur sur votre ordinateur, assurez-vous qu'AdoptOpenJDK exécute le .jar. Pour vous en assurer sous Windows 10, les propriétés du fichier devraient ressembler à ceci :

Essayez de désinstaller Java 8 et redémarrez votre ordinateur pour vous assurer que vous exécutez Java 16. Si vous exécutez un serveur avec un hôte, contactez l'hôte.

S'il n'y en a pas si cela fonctionne, veuillez contacter le support de la communauté.

Mise à jour 2 (11 juin)

D'après les rapports des utilisateurs, ceux d'entre vous confrontés au problème sous Linux, voici un conseil pour vous :

CORRECTIF : POUR LES UTILISATEURS DE LINUX UNIQUEMENT !

ASSUREZ-VOUS DE METTRE À JOUR

sudo apt-get mise à jour

ENSUITE

sudo apt recherche jdk

"trouver openjdk version 17" OU faites simplement cette commande

sudo apt installer openjdk-17-jdk

profitez de la nouvelle mise à jour 1.17 yall

Dans le cas où openjdk-17-jdk n'apparaît pas en entrant "sudo apt search jdk" et en entrant sudo apt install openjdk-17-jdk, il dit "Impossible de localiser le paquet openjdk-17-jdk", vous devrez en ajouter un autre référentiel en premier. Voici comment un utilisateur le dit :

sudo add-apt-repository ppa:linuxuprising/java

sudo apt-get mise à jour

Facultatif : sudo apt search jdk

J'ai trouvé openjdk-16-jdk donc je l'ai installé ; Je n'ai pas vu openjdk-17-jdk, mais 16 fonctionne

sudo apt installer openjdk-16-jdk

Mise à jour 3 (18 juin)

Un individu a mis en évidence des informations importantes concernant la disponibilité de Java 16 sur le site Web d'assistance de Mojang. Consultez les informations ci-dessous :

Contrairement à Java 8, il n'y a pas de fournisseur unique de téléchargements pour Java 16. Voici quelques-uns des principaux :

– OpenJDK (d'Oracle) : https://jdk.java.net/16/
– Oracle : https://www.oracle.com/java/technologies/javase-jdk16-downloads.html
Oracle était historiquement le principal fournisseur de Java, mais leurs téléchargements gratuits ne sont désormais destinés qu'aux développeurs. Leurs versions standard sont désormais payantes et coûtent plusieurs centaines de dollars par an. Les téléchargements OpenJDK ne sont pas inclus dans cela.

– Amazon Corretto (d'Amazon) : https://docs.aws.amazon.com/corretto/latest/corretto-16-ug/downloads-list.html
– Zulu (de Azul) : https://www.azul.com/downloads/#download-openjdk
– AdoptOpenJDK (de la Fondation Eclipse, parrainé par de nombreuses organisations dont Amazon, IBM et Microsoft) : https://adoptopenjdk.net/?variant=openjdk16&jvmVariant=hotspot
Je recommanderais personnellement AdoptOpenJDK, mais le choix ici vous appartient.

Mise à jour 4 (16 juillet)

Pour ceux d'entre vous confrontés à une erreur ou à un plantage lors du chargement des packs de ressources dans l'édition Java, la page de dépannage officielle vous suggère de les désinstaller et de les réinstaller. Voici les détails :

Si les packs de ressources ou les mods ne se chargent pas ou font planter votre jeu, vous devrez les désinstaller et les réinstaller un par un pour trouver celui qui en est la cause.

Astuce : si vous connaissez l'ordre dans lequel vous les avez installés, vous pouvez les désinstaller dans l'ordre inverse, en testant après chaque désinstallation.

Étant donné que les packs de ressources et les mods ne sont pas créés par Mojang Studios, nous n'offrons pas de support pour eux. Si vous avez besoin d'aide supplémentaire, contactez l'auteur du module ou du pack de ressources.

Si cela n'a pas résolu votre problème, consultez les cases à damier rose et noir apparaissent là où les textures devraient être.

PiunikaWeb a commencé comme un simple site Web de journalisme technologique d'investigation axé principalement sur les nouvelles « de dernière minute » ou « exclusives ». En un rien de temps, nos histoires ont été reprises par Forbes, Foxnews, Gizmodo, TechCrunch, Engadget, The Verge, Macrumors et bien d'autres. Vous voulez en savoir plus sur nous? Dirigez-vous ici.

Commentaires

Laisser un commentaire

Votre commentaire sera révisé par les administrateurs si besoin.